blob: d1fd2ad23d9ea6d59d9b7f080597b610582b3cd5 (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
|
--- ./scripts/mysql_install_db.sh.orig 2019-06-17 17:00:32.000000000 -0500
+++ ./scripts/mysql_install_db.sh 2019-07-05 14:18:46.519035789 -0500
@@ -467,23 +467,24 @@
if test -n "$user"
then
- chown $user "$pamtooldir/auth_pam_tool_dir"
- if test $? -ne 0
- then
- echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
- echo " to the '$user' user. Check that you have the necessary permissions and try again."
- exit 1
- fi
- if test -z "$srcdir"
- then
- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
- if test $? -ne 0
- then
- echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
- echo " It must be root, the PAM authentication plugin doesn't work otherwise.."
- echo
- fi
- fi
+ # Commented out since Slackware does not currently provide PAM:
+ #chown $user "$pamtooldir/auth_pam_tool_dir"
+ #if test $? -ne 0
+ #then
+ # echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
+ # echo " to the '$user' user. Check that you have the necessary permissions and try again."
+ # exit 1
+ #fi
+ #if test -z "$srcdir"
+ #then
+ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
+ # if test $? -ne 0
+ # then
+ # echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
+ # echo " It must be root, the PAM authentication plugin doesn't work otherwise.."
+ # echo
+ # fi
+ #fi
args="$args --user=$user"
fi
|